Bug 736354 - [NV96] dual head does not work
Summary: [NV96] dual head does not work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:rendering]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 13:31 UTC by Niels de Vos
Modified: 2012-08-07 15:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:37:38 UTC


Attachments (Terms of Use)
Xorg.0.log where nouveau does not work (91.07 KB, text/plain)
2011-09-07 13:31 UTC, Niels de Vos
no flags Details
output of xrandr after startup (1.23 KB, text/plain)
2011-09-07 13:34 UTC, Niels de Vos
no flags Details
xrandr output after a "xrandr --output DVI-I-2 --right-of DVI-I-1" (1.24 KB, text/plain)
2011-09-07 13:34 UTC, Niels de Vos
no flags Details
output from dmesg with both monitors connected (42.03 KB, text/x-log)
2011-09-09 07:34 UTC, Niels de Vos
no flags Details
dmesg with additional debug options set (424.14 KB, text/plain)
2011-09-09 14:13 UTC, Niels de Vos
no flags Details

Description Niels de Vos 2011-09-07 13:31:22 UTC
Created attachment 521881 [details]
Xorg.0.log where nouveau does not work

Description of problem:
Dual head does not work on a "nVidia Corporation G96 [Quadro FX 380] (rev a1)" (from lspci) graphics card.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau.x86_64 1:0.0.16-24.20110324git8378443.fc15


How reproducible:
100%

Steps to Reproduce:
1. connect two monitors to the DVI connectors on 
2. start Xorg
3. Xorg loads nouveau
4. xrandr detects both monitors
5. xrandr can enable both monitors and resizes the desktop (or flip around)
6. the second display does not show anything (as if no signal is coming)
  
Actual results:
Only one monitor can be used.

Expected results:
Both monitors can be used.

Additional info:
http://nouveau.freedesktop.org/wiki/Randr12 contains some good hints on dual head, none of these tips made a change. (The second monitor never gets a signal)

During boot, the BIOS will only be shown on the first monitor, same for grub.

Comment 1 Niels de Vos 2011-09-07 13:34:08 UTC
Created attachment 521882 [details]
output of xrandr after startup

Here xorg.conf contained the single screen configuration as described on http://nouveau.freedesktop.org/wiki/Randr12

Comment 2 Niels de Vos 2011-09-07 13:34:57 UTC
Created attachment 521883 [details]
xrandr output after a "xrandr --output DVI-I-2 --right-of DVI-I-1"

Comment 3 Niels de Vos 2011-09-07 13:36:35 UTC
executing the command "xrandr --output DVI-I-1 --right-of DVI-I-2" results in displaying the background on the working monitor, the second monitor where the terminal now is, stays black and cycles through the connectors/source.

Comment 4 Ben Skeggs 2011-09-09 03:47:20 UTC
Can you post your dmesg output after booting with both displays connected?

Comment 5 Niels de Vos 2011-09-09 07:34:01 UTC
Created attachment 522256 [details]
output from dmesg with both monitors connected

This actually comes from /var/log/messages when booting before the proprietary nvidia driver was installed. Please let me know if you need any more details. I'll happily revert to nouveau for further testing.

Thanks,
Niels

Comment 6 Ben Skeggs 2011-09-09 11:59:52 UTC
Thanks Niels,

That log had the information I was after in it, so that's fine!  Unfortunately, it didn't actually reveal any good reason why the second display wouldn't work.

If you get a chance, are you able to (using nouveau) boot with "log_buf_len=1M drm.debug=14 nouveau.reg_debug=0x600 3" in your kernel boot options?

It probably isn't necessary to uninstall the binary driver for this btw, if you boot with the above options, login to the text console and "modprobe -r nvidia nouveau; modprobe nouveau modeset=1", then grab dmesg, it should also suffice.

Thank you!

Comment 7 Niels de Vos 2011-09-09 14:13:49 UTC
Created attachment 522341 [details]
dmesg with additional debug options set

Rebooted, set the options, unloaded the nvidia driver and modprobe'd nouveau.

Comment 8 Jacek Piskozub 2012-07-09 17:55:00 UTC
WFM with the new kernel kernel-3.4.4-4.fc16

Also switching off ACPI at boot time seems to be a workaround for this (even with older kernels).

Comment 9 Fedora End Of Life 2012-08-07 15:37:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.